--- title: "Get assignment account list" slug: "get-accounts" updated: 2026-09-17T10:05:35Z published: 2026-09-17T10:05:35Z canonical: "api.ncloud-docs.com/get-accounts" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get assignment account list Available in Classic and VPC Get the list of accounts added to an assignment. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/assignments/accounts | ### Request headers For information about the headers common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On request headers](/docs/en/single-sign-on-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `searchWord` | String | Optional | Search keyword - URL encoding required - If you enter a value that does not match in whole or in part with `accountName`, `items` is displayed as an empty value `[]` in the response. - If you request without `searchColumn`, the entire list is displayed. | | `searchColumn` | String | Conditional | Search column - `accountName`: target account name (valid value) - Example: `searchColumn=accountName` - When an invalid value is entered, the entire list is displayed. | | `page` | Integer | Optional | Page number - 0-N (default: 0) | | `size` | Integer | Optional | Page output count - 1-N (default: 20) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://sso.apigw.ntruss.com/api/v1/assignments/accounts?searchColumn=accountName&searchWord=%ED%99%8D%EA%B8%B8%EB%8F%99&page=0&size=20' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `page` | Number | - | Page number | | `totalPages` | Number | - | Total number of pages | | `totalItems` | Number | - | Number of response results | | `isFirst` | Boolean | - | Whether it is the first page - `true` \| `false` - `true`: first page - `false`: not a first page | | `isLast` | Boolean | - | Whether it is the last page - `true` \| `false` - `true`: last page - `false`: not a last page | | `hasPrevious` | Boolean | - | Whether previous page exists - `true` \| `false` - `true`: It exists. - `false`: It doesn't exist. | | `hasNext` | Boolean | - | Whether next page exists - `true` \| `false` - `true`: It exists. - `false`: It doesn't exist. | | `items` | Array | - | Account list: [items](/docs/en/get-accounts#items) | #### `items` The following describes `items`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `accountName` | String | - | Account username | | `accountAlias` | String | - | Account nickname | | `accountLoginId` | String | - | Account login ID | | `accountType` | String | - | Account type - `Master` \| `Member` - `Master`: master account - `Member`: member account | | `accountGroup` | String | - | Account group | | `accountMbrNo` | Number | - | Account member ID (MemberNo) | ### Response status codes For information about the response status codes common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On response status codes](/docs/en/single-sign-on-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "page": 0, "totalPages": 1, "totalItems": 1, "isFirst": true, "isLast": true, "hasPrevious": false, "hasNext": false, "items": [ { "accountName": "Gildong Hong", "accountAlias": "-", "accountLoginId": "******@ncloud.com", "accountType": "-", "accountGroup": "-", "accountMbrNo": ******* } ] } ```